Package org.eclipse.rdf4j.common.concurrent.locks

## Class WritePrefReadWriteLockManager

- java.lang.Object
- - org.eclipse.rdf4j.common.concurrent.locks.AbstractReadWriteLockManager
  - - org.eclipse.rdf4j.common.concurrent.locks.WritePrefReadWriteLockManager

- All Implemented Interfaces:
    `ReadWriteLockManager`

      public class WritePrefReadWriteLockManager
      extends AbstractReadWriteLockManager

  A read/write lock manager with writer preference.
  Author:
    Håvard M. Ottestad

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WritePrefReadWriteLockManager()` |
    `WritePrefReadWriteLockManager​(boolean trackLocks)` |
    `WritePrefReadWriteLockManager​(boolean trackLocks, int waitToCollect)` |
    `WritePrefReadWriteLockManager​(String alias, int waitToCollect, LockDiagnostics... lockDiagnostics)` |
    `WritePrefReadWriteLockManager​(String alias, LockDiagnostics... lockDiagnostics)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.common.concurrent.locks.AbstractReadWriteLockManager

      `getReadLock, getWriteLock, isReaderActive, isWriterActive, tryReadLock, tryWriteLock, waitForActiveReaders, waitForActiveWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WritePrefReadWriteLockManager

          public WritePrefReadWriteLockManager()

    - #### WritePrefReadWriteLockManager

          public WritePrefReadWriteLockManager​(boolean trackLocks)

    - #### WritePrefReadWriteLockManager

          public WritePrefReadWriteLockManager​(boolean trackLocks,
                                               int waitToCollect)

    - #### WritePrefReadWriteLockManager

          public WritePrefReadWriteLockManager​(String alias,
                                               LockDiagnostics... lockDiagnostics)

    - #### WritePrefReadWriteLockManager

          public WritePrefReadWriteLockManager​(String alias,
                                               int waitToCollect,
                                               LockDiagnostics... lockDiagnostics)